Bug 110896 - bad source code
Summary: bad source code
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus-cd-burner   
(Show other bugs)
Version: 1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-25 12:21 UTC by d.binderman
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-13 08:19:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description d.binderman 2003-11-25 12:21:18 UTC
Description of problem:

I just tried to compile package nautilus-cd-burner-0_5_0-1 from 
Fedora.

The compiler said

1.

nautilus-cd-burner.c(835): warning #175: subscript out of range

The source code is

	char buf[BUFFER_SIZE+1];

	buf[BUFFER_SIZE+1] = '\0';

Array sizes are exclusive in C. This code seems to need improvement.


Version-Release number of selected component (if applicable):
nautilus-cd-burner-0_5_0-1 

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Alexander Larsson 2004-02-13 08:19:08 UTC
fixed in 2.5.7-1 (at least)


Note You need to log in before you can comment on or make changes to this bug.